Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230130 - Regression: Installing debuginfo packages broken
Summary: Regression: Installing debuginfo packages broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 19:43 UTC by Saikat Guha
Modified: 2014-01-21 22:57 UTC (History)
1 user (show)

Fixed In Version: 1.1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-18 08:47:30 UTC


Attachments (Terms of Use)

Description Saikat Guha 2007-02-26 19:43:33 UTC
Trying to install a debuginfo package using --enablerepo=development-debuginfo
crashes yum with an exception.

rpm-4.4.2-40.fc7.x86_64
yum-3.1.2-1.fc7.noarch


[root@sioux yum.repos.d]# yum --enablerepo=development-debuginfo update
evolution-debuginfo
Loading "fastestmirror" plugin
Loading "kernel-module" plugin
Loading "skip-broken" plugin
Loading "installonlyn" plugin
Loading "downloadonly" plugin
Loading "allowdowngrade" plugin
Loading "fedorakmod" plugin
Loading "changelog" plugin
Setting up Update Process
Setting up repositories
development-debuginfo     100% |=========================| 1.1 kB    00:00     
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Resolving Dependencies
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 135, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 450, in
buildTransaction
    self.plugins.run('preresolve')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 153, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/kernel-module.py", line 60, in preresolve_hook
    instpkgs = conduit.getRpmDB().getPackages()
AttributeError: 'RPMDBPackageSack' object has no attribute 'getPackages'





[root@sioux yum.repos.d]# cat /etc/yum.repos.d/fedora-development.repo 
# Repositories updated : 2006-10-28

#
# Repository : development 
#
[development]
name=Fedora Core - Development
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/development/$basearch/os/
gpgcheck=0
enabled=1

#
# Repository : development-debuginfo 
#
[development-debuginfo]
name=Fedora Core - Development - Debug
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/development/$basearch/debug/
gpgcheck=0
enabled=0

#
# Repository : development-source 
#
[development-source]
name=Fedora Core - Development - Source
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/development/source/SRPMS/
gpgcheck=0
enabled=0

Comment 1 Jeremy Katz 2007-02-26 20:10:04 UTC
Can you do 'rpm -qf /usr/lib/yum-plugins/kernel-module.py'?  The plugin is using
API that we removed before yum 3.0...

Comment 2 Saikat Guha 2007-02-26 20:27:17 UTC
[root@sioux yum.repos.d]# rpm -qf /usr/lib/yum-plugins/kernel-module.py
yum-kernel-module-1.1.1-1.fc7.noarch


Comment 3 Saikat Guha 2007-04-10 00:02:00 UTC
/poke


I am still encountering this problem with the latest yum.
Has this module been deprecated/obsoleted/replaced with something else?



Comment 4 Will Woods 2007-05-09 01:57:51 UTC
I believe --enablerepo was fixed in a recent update to yum/yum-utils. Could you
please update both packages and test again?

Comment 5 Tim Lauridsen 2007-05-09 07:01:36 UTC
The kernel-module plugin is fixed in the current release of yum-utils (1.1.3).

Comment 6 Saikat Guha 2007-06-18 18:15:25 UTC
Confirmed working on a fresh F7 install.

Might need to jolt that rawhide box (still fails there and yum doesn't pick up
the right y-k-m module or something)


Note You need to log in before you can comment on or make changes to this bug.